/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package domen;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author student1
 */
@Entity
@Table(name = "poslovnipartner")
@XmlRootElement
@NamedQueries({
    @NamedQuery(name = "Poslovnipartner.findAll", query = "SELECT p FROM Poslovnipartner p"),
    @NamedQuery(name = "Poslovnipartner.findByMatBroj", query = "SELECT p FROM Poslovnipartner p WHERE p.matBroj = :matBroj"),
    @NamedQuery(name = "Poslovnipartner.findByPib", query = "SELECT p FROM Poslovnipartner p WHERE p.pib = :pib"),
    @NamedQuery(name = "Poslovnipartner.findByZr", query = "SELECT p FROM Poslovnipartner p WHERE p.zr = :zr"),
    @NamedQuery(name = "Poslovnipartner.findByNaziv", query = "SELECT p FROM Poslovnipartner p WHERE p.naziv = :naziv"),
    @NamedQuery(name = "Poslovnipartner.findByDatumOsnivanja", query = "SELECT p FROM Poslovnipartner p WHERE p.datumOsnivanja = :datumOsnivanja"),
    @NamedQuery(name = "Poslovnipartner.findByUlicaIBroj", query = "SELECT p FROM Poslovnipartner p WHERE p.ulicaIBroj = :ulicaIBroj")})
public class Poslovnipartner implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 8)
    @Column(name = "mat_broj")
    private String matBroj;
    @Size(max = 9)
    @Column(name = "pib")
    private String pib;
    @Size(max = 30)
    @Column(name = "zr")
    private String zr;
    @Size(max = 100)
    @Column(name = "naziv")
    private String naziv;
    @Column(name = "datum_osnivanja")
    @Temporal(TemporalType.DATE)
    private Date datumOsnivanja;
    @Size(max = 100)
    @Column(name = "ulica_i_broj")
    private String ulicaIBroj;
    @JoinColumn(name = "ptt_mesto", referencedColumnName = "ptt")
    @ManyToOne
    private Mesto pttMesto;

    public Poslovnipartner() {
    }

    public Poslovnipartner(String matBroj) {
        this.matBroj = matBroj;
    }

    public String getMatBroj() {
        return matBroj;
    }

    public void setMatBroj(String matBroj) {
        this.matBroj = matBroj;
    }

    public String getPib() {
        return pib;
    }

    public void setPib(String pib) {
        this.pib = pib;
    }

    public String getZr() {
        return zr;
    }

    public void setZr(String zr) {
        this.zr = zr;
    }

    public String getNaziv() {
        return naziv;
    }

    public void setNaziv(String naziv) {
        this.naziv = naziv;
    }

    public Date getDatumOsnivanja() {
        return datumOsnivanja;
    }

    public void setDatumOsnivanja(Date datumOsnivanja) {
        this.datumOsnivanja = datumOsnivanja;
    }

    public String getUlicaIBroj() {
        return ulicaIBroj;
    }

    public void setUlicaIBroj(String ulicaIBroj) {
        this.ulicaIBroj = ulicaIBroj;
    }

    public Mesto getPttMesto() {
        return pttMesto;
    }

    public void setPttMesto(Mesto pttMesto) {
        this.pttMesto = pttMesto;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (matBroj != null ? matBroj.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof Poslovnipartner)) {
            return false;
        }
        Poslovnipartner other = (Poslovnipartner) object;
        if ((this.matBroj == null && other.matBroj != null) || (this.matBroj != null && !this.matBroj.equals(other.matBroj))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "domen.Poslovnipartner[ matBroj=" + matBroj + " ]";
    }
    
}
