/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package ws;

import domen.Mesto;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.jws.WebService;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import javax.transaction.NotSupportedException;
import javax.transaction.SystemException;

/**
 *
 * @author student1
 */
@WebService(serviceName = "MestoWS")
public class MestoWS {

    @PersistenceContext(unitName = "PoslovniPartnerWSPU")
    private EntityManager em;
    @Resource
    private javax.transaction.UserTransaction utx;

    @WebMethod(operationName = "vratiMesta")
    public List<Mesto> vratiMesta() {
        return em.createQuery("SELECT m FROM Mesto m ORDER BY m.naziv").getResultList();
    }

    /**
     * Web service operation
     */
    @WebMethod(operationName = "sacuvajMesto")
    public String sacuvajMesto(@WebParam(name = "ptt") long ptt, @WebParam(name = "naziv") String naziv) {
        try {
            utx.begin();
            Mesto mesto = new Mesto();
            mesto.setPtt(ptt);
            mesto.setNaziv(naziv);
            Mesto mestoDB = em.find(Mesto.class, ptt);
            if (mestoDB != null) {
                em.merge(mesto);
            } else {
                em.persist(mesto);
            }
            utx.commit();
            return "OK";
        } catch (Exception ex) {
            ex.printStackTrace();
            return "Mesto nije sacuvano! " + ex.getMessage();
        }
    }
    
    @WebMethod(operationName = "obrisiMesto")
    public String obrisiMesto(@WebParam(name = "ptt") long ptt) {
        try {
            utx.begin();
            Mesto mestoDB = em.find(Mesto.class, ptt);
            em.remove(mestoDB);
            utx.commit();
            return "OK";
        } catch (Exception ex) {
            return "Mesto nije obrisano! " + ex.getMessage();
        }
        
    }

}
